---
"@context": https://schema.org
"@type": TechArticle
"@id": https://www.twilio.com/docs/api/errors/19045#article
headline: "19045: Invalid field type. Supported types: text, date, number"
url: https://www.twilio.com/docs/api/errors/19045
inLanguage: en
dateModified: 2026-04-10T12:20:38.000Z
author:
  "@type": Organization
  name: Twilio Developer Education Team
publisher:
  "@type": Organization
  name: Twilio
---

# 19045: Invalid field type. Supported types: text, date, number

Log Type: APPLICATION

Log Level: ERROR

## Description

This error occurs when you send a custom field definition request with an unsupported `field_type` value. Supported custom field types are `Text`, `Number`, and `Date`.

### Possible causes

* The request included a `field_type` value other than `Text`, `Number`, or `Date`.
* The request body for the Field Definitions endpoint did not use a valid `field_type` value from the supported enum.

### Possible solutions

* Update `field_type` to one of the supported values: `Text`, `Number`, or `Date`.
* Review the request body for the Field Definitions endpoint and resend the request with a valid `name` and `field_type`.
* If you create the field in the Twilio SendGrid console, choose one of the available field types when you add the custom field.

#### Additional resources

* [Create Custom Field Definition](/docs/sendgrid/api-reference/custom-fields/create-custom-field-definition)
* [Update Custom Field Definition](/docs/sendgrid/api-reference/custom-fields/update-custom-field-definition)
* [Personalize and segment messages with custom fields](/docs/sendgrid/ui/managing-contacts/custom-fields)
